Package be.fgov.ehealth.hubservices.core.v2

# Class GetPatientConsentStatusResponse

java.lang.Object
be.fgov.ehealth.hubservices.core.v2.GetPatientConsentStatusResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:12:47+02:00", comments="JAXB RI v4.0.5") public class GetPatientConsentStatusResponse extends Object implements Serializable

Java class for GetPatientConsentStatusResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetPatientConsentStatusResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="response" type="{http://www.ehealth.fgov.be/hubservices/core/v2}ResponseType"/>
             <element name="acknowledge" type="{http://www.ehealth.fgov.be/hubservices/core/v2}AcknowledgeType"/>
             <element name="consent" type="{http://www.ehealth.fgov.be/hubservices/core/v2}ConsentWithStatusType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetPatientConsentStatusResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AcknowledgeType`
  `getAcknowledge()`
  Gets the value of the acknowledge property.
  `ConsentWithStatusType`
  `getConsent()`
  Gets the value of the consent property.
  `ResponseType`
  `getResponse()`
  Gets the value of the response property.
  `void`
  `setAcknowledge(AcknowledgeType value)`
  Sets the value of the acknowledge property.
  `void`
  `setConsent(ConsentWithStatusType value)`
  Sets the value of the consent property.
  `void`
  `setResponse(ResponseType value)`
  Sets the value of the response property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetPatientConsentStatusResponse

    public GetPatientConsentStatusResponse()

- ## Method Details

  - ### getResponse

    public ResponseType getResponse()
    Gets the value of the response property.
    Returns:
      possible object is `ResponseType`

  - ### setResponse

    public void setResponse(ResponseType value)
    Sets the value of the response property.
    Parameters:
      `value` - allowed object is `ResponseType`

  - ### getAcknowledge

    public AcknowledgeType getAcknowledge()
    Gets the value of the acknowledge property.
    Returns:
      possible object is `AcknowledgeType`

  - ### setAcknowledge

    public void setAcknowledge(AcknowledgeType value)
    Sets the value of the acknowledge property.
    Parameters:
      `value` - allowed object is `AcknowledgeType`

  - ### getConsent

    public ConsentWithStatusType getConsent()
    Gets the value of the consent property.
    Returns:
      possible object is `ConsentWithStatusType`

  - ### setConsent

    public void setConsent(ConsentWithStatusType value)
    Sets the value of the consent property.
    Parameters:
      `value` - allowed object is `ConsentWithStatusType`